English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 134041 CVE descriptions
and 69903 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.60997
Category:Fedora Local Security Checks
Title:Fedora Core 7 FEDORA-2008-3898 (libvorbis)
Summary:NOSUMMARY
Description:Description:

The remote host is missing an update to libvorbis
announced via advisory FEDORA-2008-3898.

Ogg Vorbis is a fully open, non-proprietary, patent-and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

The libvorbis package contains runtime libraries for use in programs
that support Ogg Voribs.

Update Information:

Will Drewry of the Google Security Team reported several flaws in the way
libvorbis processed audio data. An attacker could create a carefully crafted
OGG audio file in such a way that it could cause an application linked with
libvorbis to crash, or execute arbitrary code when it was opened.
(CVE-2008-1419, CVE-2008-1420, CVE-2008-1423) Moreover, additional OGG file
sanity-checks have been added to prevent possible exploitation of similar
issues in the future.
ChangeLog:

* Wed May 14 2008 Jindrich Novy - 1:1.1.2-4
- fix CVE-2008-1420, CVE-2008-1419, CVE-2008-1423 (#446341)
* Thu Aug 9 2007 Behdad Esfahbod - 1:1.1.2-3
- Add 16 patches to fix various CVEs.
- Resolves: #250599

References:

[ 1 ] Bug #440700 - CVE-2008-1419 vorbis: zero-dim codebooks can cause crash, infinite loop or heap overflow
https://bugzilla.redhat.com/show_bug.cgi?id=440700
[ 2 ] Bug #440706 - CVE-2008-1420 vorbis: integer overflow in partvals computation
https://bugzilla.redhat.com/show_bug.cgi?id=440706
[ 3 ] Bug #440709 - CVE-2008-1423 vorbis: integer oveflow caused by huge codebooks
https://bugzilla.redhat.com/show_bug.cgi?id=440709

Solution: Apply the appropriate updates.

This update can be installed with the yum update program. Use
su -c 'yum update libvorbis' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

http://www.securityspace.com/smysecure/catid.html?in=FEDORA-2008-3898

Risk factor : Critical

CVSS Score:
9.3

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2008-1419
Debian Security Information: DSA-1591 (Google Search)
http://www.debian.org/security/2008/dsa-1591
https://www.redhat.com/archives/fedora-package-announce/2008-May/msg00247.html
https://www.redhat.com/archives/fedora-package-announce/2008-May/msg00256.html
https://www.redhat.com/archives/fedora-package-announce/2008-May/msg00243.html
http://security.gentoo.org/glsa/glsa-200806-09.xml
http://www.mandriva.com/security/advisories?name=MDVSA-2008:102
http://www.redhat.com/support/errata/RHSA-2008-0270.html
http://www.redhat.com/support/errata/RHSA-2008-0271.html
SuSE Security Announcement: SUSE-SR:2008:012 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2008-06/msg00001.html
http://www.ubuntu.com/usn/USN-682-1
BugTraq ID: 29206
http://www.securityfocus.com/bid/29206
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10104
http://secunia.com/advisories/32946
http://www.vupen.com/english/advisories/2008/1510/references
http://www.securitytracker.com/id?1020029
http://secunia.com/advisories/30234
http://secunia.com/advisories/30237
http://secunia.com/advisories/30247
http://secunia.com/advisories/30259
http://secunia.com/advisories/30479
http://secunia.com/advisories/30581
http://secunia.com/advisories/30820
XForce ISS Database: libvorbis-ogg-bo(42397)
https://exchange.xforce.ibmcloud.com/vulnerabilities/42397
XForce ISS Database: libvorbis-ogg-dos(42400)
https://exchange.xforce.ibmcloud.com/vulnerabilities/42400
Common Vulnerability Exposure (CVE) ID: CVE-2008-1420
http://www.ubuntulinux.org/support/documentation/usn/usn-825-1
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9500
http://secunia.com/advisories/36463
XForce ISS Database: libvorbis-residue-bo(42402)
https://exchange.xforce.ibmcloud.com/vulnerabilities/42402
Common Vulnerability Exposure (CVE) ID: CVE-2008-1423
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9851
XForce ISS Database: libvorbis-quantvals-quantlist-bo(42403)
https://exchange.xforce.ibmcloud.com/vulnerabilities/42403
CopyrightCopyright (c) 2008 E-Soft Inc. http://www.securityspace.com

This is only one of 69903 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Developer APIs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe | Whois

© 1998-2018 E-Soft Inc. All rights reserved.